Summary: A database access API for perl
Name: perl-DBI
Version: 1.18
Release: 3
Copyright: distributable
Group: Applications/Databases
Source: DBI-%{version}.tar.gz
Patch0: perl-DBI-tmpfix.patch
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.6.0-3

%description 

DBI is a database access Application Programming Interface (API) for
the Perl Language. The DBI API Specification defines a set of
functions, variables and conventions that provide a consistent
database interface independent of the actual database being used.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n DBI-%{version} 
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
eval `perl '-V:installsitearch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist -o -name '*.orig' \) -exec rm -fv {} \;

rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/DBI/.packlist
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/DBI/DBI.bs

%files 
%defattr(-,root,root)
%doc Changes README ToDo
/usr/bin/*
/usr/lib/perl5/*
%{_mandir}/*/*

%changelog
* Mon Jan 24 2005 Chip Turner <cturner@redhat.com> - 1.18-3
- 
- remove .orig left by patches

* Mon Jan 24 2005 Chip Turner <cturner@redhat.com> - 1.18-2
- bugzilla 145577, add patch to fix perl-DBI tmpfile vulnerability

* Sat Jun 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.18

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.16
- change group to Applications/Databases from Applications/CPAN

* Tue May  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.15

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Cleanups

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- build for main distribution
- use %%{_tmppath}
- change name of specfile
- don't use a find script to generate file lists
- general cleanup
- add descriptive summary and description


* Mon Aug 14 2000 Tim Powers <timp@redhat.com>
- Spec file was autogenerated. 
